/* Start Portfolio */
.portfolio {
    border-top: 1px solid var(--light-grey);
    padding-top: 20px;
    padding-bottom: 6vh;
    background-image: url(../images/dark.jpg);
    background-size: cover;
    height: 100%;
    background-position: center;
    background-attachment: fixed;
    overflow: hidden;
}
.portfolio .container {
    margin-left: 50%;
    transform: translateX(-50%);
}
@media(max-width:767px) {
    .portfolio {
        background-image: url(../images/dark1.jpg);
    }
    .portfolio .container {
        width: 100%;
    }
    .portfolio .container .projects a {
        display: flex;
        justify-content: center;
    }
}
.portfolio .container .link {
    color: #fff;
    border: 2px solid #fff;
    margin: 20px 50%;
    transform: translateX(-50%);
}
.portfolio .container .projects {
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    transition: var(--main-transition);
    justify-content: center;
}
.portfolio .container .projects a {
    transition: var(--main-transition);
}
.trans {
    transform: translateX(500%);
}
.ac {
    background-color: #000;
    box-shadow: 3px 3px 3px;
}
.portfolio .container .projects .box {
    color: #fff;
}
.portfolio .container .projects .all {
    display: flex;
    justify-content: center;
}
.portfolio .container .projects .box .image {
    width: 320px;
    height: 180px;
    position: relative;
}
.portfolio .container .projects .box .image img {
    max-width: 100%;
    height: 100%;
}
.portfolio .container .projects .box .image::after {
    content: "View Template";
    position: absolute;
    width: 100%;
    height: 50px;
    background-color: rgb(0 0 0 / 40%);
    bottom: 0;
    left: 0;
    z-index: 5;
    transition: var(--main-transition);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0;
}
.portfolio .container .projects .box:hover .image::after {
    font-size: 26px;
    height: 100%;
}
.portfolio .container .projects .box:hover h3 {
    opacity: 0;
}
@media(max-width:767px) {
    .portfolio .container .projects .box .image::after {
        display: none;
    }
    .portfolio .container .projects h3 {
        background-color: rgb(0 0 0 / 60%);
        padding: 9.3px ;
    }
    .portfolio .container .projects .box:hover h3 {
        opacity: 1;
    }
}
.portfolio .container .projects .box h3 {
    position: relative;
    text-align: center;
    z-index: 6;
    transition: var(--main-transition);
    width: 320px;
    transform: translateY(-40px);
}
@media(max-width:991px) and (min-width:768px) {
    /* .portfolio .container .projects .box h3 {
        margin-left: 45%;
    } */
}
@media(max-width:767px) {
    .portfolio .container .projects {
        justify-content: center;
    }
}
/* End Portfolio */